<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('pops', function(Blueprint $table) {
			$table->foreign('location_id')->references('id')->on('pop_locations')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->foreign('backhaul_bw_capacity_id')->references('id')->on('pop_backhaulbwcapacity')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->foreign('a_end_id')->references('id')->on('pop_a_ends')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->foreign('b_end_id')->references('id')->on('pop_b_ends')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->foreign('backhaulprovider_id')->references('id')->on('pop_backhaulproviders')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->foreign('typeofequipment_id')->references('id')->on('pop_typeofequipments')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->foreign('equipmentvendor_id')->references('id')->on('pop_equipmentvendors')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->foreign('datacenter_id')->references('id')->on('pop_datacenters')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('pops', function(Blueprint $table) {
			$table->dropForeign('pops_location_id_foreign');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->dropForeign('pops_backhaul_bw_capacity_id_foreign');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->dropForeign('pops_a_end_id_foreign');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->dropForeign('pops_b_end_id_foreign');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->dropForeign('pops_backhaulprovider_id_foreign');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->dropForeign('pops_typeofequipment_id_foreign');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->dropForeign('pops_equipmentvendor_id_foreign');
		});
		Schema::table('pops', function(Blueprint $table) {
			$table->dropForeign('pops_datacenter_id_foreign');
		});
	}
}